Browse Source

feat(SEO): add metatags fixes #11

master
Romain J 2 weeks ago
parent
commit
6ac8b27f25
17 changed files with 19 additions and 270 deletions
  1. +18
    -0
      apps/gnous_eu/templates/layouts/head.html
  2. +1
    -1
      requirements.txt
  3. +0
    -76
      venv/bin/activate
  4. +0
    -37
      venv/bin/activate.csh
  5. +0
    -75
      venv/bin/activate.fish
  6. +0
    -10
      venv/bin/chardetect
  7. +0
    -10
      venv/bin/django-admin
  8. +0
    -5
      venv/bin/django-admin.py
  9. +0
    -10
      venv/bin/easy_install
  10. +0
    -10
      venv/bin/markdown_py
  11. +0
    -10
      venv/bin/pip
  12. +0
    -10
      venv/bin/pip3
  13. +0
    -1
      venv/bin/python
  14. +0
    -1
      venv/bin/python3
  15. +0
    -10
      venv/bin/sqlformat
  16. +0
    -1
      venv/lib64
  17. +0
    -3
      venv/pyvenv.cfg

+ 18
- 0
apps/gnous_eu/templates/layouts/head.html View File

@@ -15,6 +15,24 @@
{% if request.resolver_match.url_name == 'tips' %} - {% trans "Dons" %} {% endif %}
</title>

<meta name="title" content="Gnous.eu - Bienvenue">
<meta name="description" content="GnousEU est une communauté francophones de passionnés du libre. Elle fournit entre autre des services gratuits libre d'accès.">

<!-- Open Graph / Facebook -->
<meta property="og:type" content="website">
<meta property="og:url" content="{{ request.path }} ">
<meta property="og:title" content="Gnous.eu - Bienvenue">
<meta property="og:description" content="GnousEU est une communauté francophones de passionnés du libre. Elle fournit entre autre des services gratuits libre d'accès.">
<meta property="og:image" content="{% static 'images/gnous.svg' %}">

<!-- Twitter -->
<meta property="twitter:card" content="summary_large_image">
<meta property="twitter:url" content="{{ request.path }} ">
<meta property="twitter:title" content="Gnous.eu - Bienvenue">
<meta property="twitter:description" content="GnousEU est une communauté francophones de passionnés du libre. Elle fournit entre autre des services gratuits libre d'accès.">
<meta property="twitter:image" content="{% static 'images/gnous.svg' %}">


<link rel="stylesheet" href="{% static 'stylesheets/css/index.css' %}">

<script src="{% static 'javascripts/turbolinks.js' %}"></script>


+ 1
- 1
requirements.txt View File

@@ -4,7 +4,7 @@ certifi==2019.11.28
chardet==3.0.4
Django==3.0.2
django-markdownify==0.8.0
git+https://github.com/darklow/django-suit
https://github.com/darklow/django-suit/tarball/v2
idna==2.8
Markdown==3.1.1
mysqlclient==1.4.6


+ 0
- 76
venv/bin/activate View File

@@ -1,76 +0,0 @@
# This file must be used with "source bin/activate" *from bash*
# you cannot run it directly

deactivate () {
# reset old environment variables
if [ -n "${_OLD_VIRTUAL_PATH:-}" ] ; then
PATH="${_OLD_VIRTUAL_PATH:-}"
export PATH
unset _OLD_VIRTUAL_PATH
fi
if [ -n "${_OLD_VIRTUAL_PYTHONHOME:-}" ] ; then
PYTHONHOME="${_OLD_VIRTUAL_PYTHONHOME:-}"
export PYTHONHOME
unset _OLD_VIRTUAL_PYTHONHOME
fi

# This should detect bash and zsh, which have a hash command that must
# be called to get it to forget past commands. Without forgetting
# past commands the $PATH changes we made may not be respected
if [ -n "${BASH:-}" -o -n "${ZSH_VERSION:-}" ] ; then
hash -r
fi

if [ -n "${_OLD_VIRTUAL_PS1:-}" ] ; then
PS1="${_OLD_VIRTUAL_PS1:-}"
export PS1
unset _OLD_VIRTUAL_PS1
fi

unset VIRTUAL_ENV
if [ ! "$1" = "nondestructive" ] ; then
# Self destruct!
unset -f deactivate
fi
}

# unset irrelevant variables
deactivate nondestructive

VIRTUAL_ENV="/var/www/gnousdoteuv2/venv"
export VIRTUAL_ENV

_OLD_VIRTUAL_PATH="$PATH"
PATH="$VIRTUAL_ENV/bin:$PATH"
export PATH

# unset PYTHONHOME if set
# this will fail if PYTHONHOME is set to the empty string (which is bad anyway)
# could use `if (set -u; : $PYTHONHOME) ;` in bash
if [ -n "${PYTHONHOME:-}" ] ; then
_OLD_VIRTUAL_PYTHONHOME="${PYTHONHOME:-}"
unset PYTHONHOME
fi

if [ -z "${VIRTUAL_ENV_DISABLE_PROMPT:-}" ] ; then
_OLD_VIRTUAL_PS1="${PS1:-}"
if [ "x(venv) " != x ] ; then
PS1="(venv) ${PS1:-}"
else
if [ "`basename \"$VIRTUAL_ENV\"`" = "__" ] ; then
# special case for Aspen magic directories
# see http://www.zetadev.com/software/aspen/
PS1="[`basename \`dirname \"$VIRTUAL_ENV\"\``] $PS1"
else
PS1="(`basename \"$VIRTUAL_ENV\"`)$PS1"
fi
fi
export PS1
fi

# This should detect bash and zsh, which have a hash command that must
# be called to get it to forget past commands. Without forgetting
# past commands the $PATH changes we made may not be respected
if [ -n "${BASH:-}" -o -n "${ZSH_VERSION:-}" ] ; then
hash -r
fi

+ 0
- 37
venv/bin/activate.csh View File

@@ -1,37 +0,0 @@
# This file must be used with "source bin/activate.csh" *from csh*.
# You cannot run it directly.
# Created by Davide Di Blasi <davidedb@gmail.com>.
# Ported to Python 3.3 venv by Andrew Svetlov <andrew.svetlov@gmail.com>

alias deactivate 'test $?_OLD_VIRTUAL_PATH != 0 && setenv PATH "$_OLD_VIRTUAL_PATH" && unset _OLD_VIRTUAL_PATH; rehash; test $?_OLD_VIRTUAL_PROMPT != 0 && set prompt="$_OLD_VIRTUAL_PROMPT" && unset _OLD_VIRTUAL_PROMPT; unsetenv VIRTUAL_ENV; test "\!:*" != "nondestructive" && unalias deactivate'

# Unset irrelevant variables.
deactivate nondestructive

setenv VIRTUAL_ENV "/var/www/gnousdoteuv2/venv"

set _OLD_VIRTUAL_PATH="$PATH"
setenv PATH "$VIRTUAL_ENV/bin:$PATH"


set _OLD_VIRTUAL_PROMPT="$prompt"

if (! "$?VIRTUAL_ENV_DISABLE_PROMPT") then
if ("venv" != "") then
set env_name = "venv"
else
if (`basename "VIRTUAL_ENV"` == "__") then
# special case for Aspen magic directories
# see http://www.zetadev.com/software/aspen/
set env_name = `basename \`dirname "$VIRTUAL_ENV"\``
else
set env_name = `basename "$VIRTUAL_ENV"`
endif
endif
set prompt = "[$env_name] $prompt"
unset env_name
endif

alias pydoc python -m pydoc

rehash

+ 0
- 75
venv/bin/activate.fish View File

@@ -1,75 +0,0 @@
# This file must be used with ". bin/activate.fish" *from fish* (http://fishshell.org)
# you cannot run it directly

function deactivate -d "Exit virtualenv and return to normal shell environment"
# reset old environment variables
if test -n "$_OLD_VIRTUAL_PATH"
set -gx PATH $_OLD_VIRTUAL_PATH
set -e _OLD_VIRTUAL_PATH
end
if test -n "$_OLD_VIRTUAL_PYTHONHOME"
set -gx PYTHONHOME $_OLD_VIRTUAL_PYTHONHOME
set -e _OLD_VIRTUAL_PYTHONHOME
end

if test -n "$_OLD_FISH_PROMPT_OVERRIDE"
functions -e fish_prompt
set -e _OLD_FISH_PROMPT_OVERRIDE
functions -c _old_fish_prompt fish_prompt
functions -e _old_fish_prompt
end

set -e VIRTUAL_ENV
if test "$argv[1]" != "nondestructive"
# Self destruct!
functions -e deactivate
end
end

# unset irrelevant variables
deactivate nondestructive

set -gx VIRTUAL_ENV "/var/www/gnousdoteuv2/venv"

set -gx _OLD_VIRTUAL_PATH $PATH
set -gx PATH "$VIRTUAL_ENV/bin" $PATH

# unset PYTHONHOME if set
if set -q PYTHONHOME
set -gx _OLD_VIRTUAL_PYTHONHOME $PYTHONHOME
set -e PYTHONHOME
end

if test -z "$VIRTUAL_ENV_DISABLE_PROMPT"
# fish uses a function instead of an env var to generate the prompt.

# save the current fish_prompt function as the function _old_fish_prompt
functions -c fish_prompt _old_fish_prompt

# with the original prompt function renamed, we can override with our own.
function fish_prompt
# Save the return status of the last command
set -l old_status $status

# Prompt override?
if test -n "(venv) "
printf "%s%s" "(venv) " (set_color normal)
else
# ...Otherwise, prepend env
set -l _checkbase (basename "$VIRTUAL_ENV")
if test $_checkbase = "__"
# special case for Aspen magic directories
# see http://www.zetadev.com/software/aspen/
printf "%s[%s]%s " (set_color -b blue white) (basename (dirname "$VIRTUAL_ENV")) (set_color normal)
else
printf "%s(%s)%s" (set_color -b blue white) (basename "$VIRTUAL_ENV") (set_color normal)
end
end

# Restore the return status of the previous command.
echo "exit $old_status" | .
_old_fish_prompt
end

set -gx _OLD_FISH_PROMPT_OVERRIDE "$VIRTUAL_ENV"
end

+ 0
- 10
venv/bin/chardetect View File

@@ -1,10 +0,0 @@
#!/var/www/gnousdoteuv2/venv/bin/python3.7
# -*- coding: utf-8 -*-
import re
import sys

from chardet.cli.chardetect import main

if __name__ == '__main__':
sys.argv[0] = re.sub(r'(-script\.pyw?|\.exe)?$', '', sys.argv[0])
sys.exit(main())

+ 0
- 10
venv/bin/django-admin View File

@@ -1,10 +0,0 @@
#!/var/www/gnousdoteuv2/venv/bin/python3.7
# -*- coding: utf-8 -*-
import re
import sys

from django.core.management import execute_from_command_line

if __name__ == '__main__':
sys.argv[0] = re.sub(r'(-script\.pyw?|\.exe)?$', '', sys.argv[0])
sys.exit(execute_from_command_line())

+ 0
- 5
venv/bin/django-admin.py View File

@@ -1,5 +0,0 @@
#!/var/www/gnousdoteuv2/venv/bin/python3.7
from django.core import management

if __name__ == "__main__":
management.execute_from_command_line()

+ 0
- 10
venv/bin/easy_install View File

@@ -1,10 +0,0 @@
#!/var/www/gnousdoteuv2/venv/bin/python3.7
# -*- coding: utf-8 -*-
import re
import sys

from setuptools.command.easy_install import main

if __name__ == '__main__':
sys.argv[0] = re.sub(r'(-script\.pyw?|\.exe)?$', '', sys.argv[0])
sys.exit(main())

+ 0
- 10
venv/bin/markdown_py View File

@@ -1,10 +0,0 @@
#!/var/www/gnousdoteuv2/venv/bin/python3.7
# -*- coding: utf-8 -*-
import re
import sys

from markdown.__main__ import run

if __name__ == '__main__':
sys.argv[0] = re.sub(r'(-script\.pyw?|\.exe)?$', '', sys.argv[0])
sys.exit(run())

+ 0
- 10
venv/bin/pip View File

@@ -1,10 +0,0 @@
#!/var/www/gnousdoteuv2/venv/bin/python3.7
# -*- coding: utf-8 -*-
import re
import sys

from pip._internal import main

if __name__ == '__main__':
sys.argv[0] = re.sub(r'(-script\.pyw?|\.exe)?$', '', sys.argv[0])
sys.exit(main())

+ 0
- 10
venv/bin/pip3 View File

@@ -1,10 +0,0 @@
#!/var/www/gnousdoteuv2/venv/bin/python3.7
# -*- coding: utf-8 -*-
import re
import sys

from pip._internal import main

if __name__ == '__main__':
sys.argv[0] = re.sub(r'(-script\.pyw?|\.exe)?$', '', sys.argv[0])
sys.exit(main())

+ 0
- 1
venv/bin/python View File

@@ -1 +0,0 @@
python3.7

+ 0
- 1
venv/bin/python3 View File

@@ -1 +0,0 @@
python3.7

+ 0
- 10
venv/bin/sqlformat View File

@@ -1,10 +0,0 @@
#!/var/www/gnousdoteuv2/venv/bin/python3.7
# -*- coding: utf-8 -*-
import re
import sys

from sqlparse.__main__ import main

if __name__ == '__main__':
sys.argv[0] = re.sub(r'(-script\.pyw?|\.exe)?$', '', sys.argv[0])
sys.exit(main())

+ 0
- 1
venv/lib64 View File

@@ -1 +0,0 @@
lib

+ 0
- 3
venv/pyvenv.cfg View File

@@ -1,3 +0,0 @@
home = /usr/bin
include-system-site-packages = false
version = 3.7.3

Loading…
Cancel
Save